API DocumentationManufacturer camspec controller

Get manifest mappings by manifest IDs (bulk lookup)

POST
/api/manufacturer/v1/camspec/manifest-mappings/lookup

Retrieves the requisition and work-order mapping for the specified CAMSPEC manifest IDs. Supports hundreds of manifest IDs.

Authorization

Phasio API Bearer Token
headerAuthorizationBearer <token>

Request Body

application/json
  1. body

Set of manifest IDs to look up

[index: integer]?string
Formatuuid

Response Body

Manifest mappings retrieved successfully

*/*
  1. response
[index: integer]?
curl -X POST 'https://m-api.eu.phas.io/api/manufacturer/v1/camspec/manifest-mappings/lookup' \  -H 'Content-Type: application/json' \  -d '[  "497f6eca-6276-4993-bfeb-53cbbbba6f08"]'
[  {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "requisitionId": 0,    "workOrderId": "50150040-5a5c-4c26-9d75-30728d69a42e",    "productionStepId": "73856faf-b3e2-4f2c-a6a9-45d0d91ce004",    "createdAt": "2019-08-24T14:15:22Z"  }]